#ifndef GUI_MAIN_H
#define GUI_MAIN_H
#include <iostream>
#include <stdio.h>
#include <unistd.h>
#include <iostream>
#include <QtCore>
#include <QDebug>
#include <QCoreApplication>
#include <QObject>
#include "resolve.h"
#include <QMainWindow>
#include "ui_gui_about.h"
#include "main.h"
#include "ui_gui_main.h"
#include "ui_gui_about.h"


/*#include "main.h"*/
//
/*  Save file as gui_main.h  */
/*  incomming class name Gui_Main */
//   public QObject | public QHttp | public QThread                                    // 
#include <QPointer>



class Gui_About : public QDialog, public Ui::Gui_About
{
    Q_OBJECT
//
public: Gui_About( QWidget* = 0 )
{
 setupUi( this );
}
protected:
private:
signals:

public slots:

};







//
class Gui_Main : public QMainWindow, public Ui::Gui_Main, public Base_Master
{
     Q_OBJECT
//
public:
/* Gui_Main( QWidget* = 0 );*/
 static Gui_Main* self( QWidget* = 0 );
//
 void OpenDesktop( QUrl loc );
protected:
    void FillNowHost( const QString host );
    void FormsChecks( bool activate );
DB_dual *dbs;
QString CurrentDomain;
QSettings setter;
int ACTUALIDnummer;
QStringList list;
QUrl url;
QByteArray byteArray;
bool having;
QDomDocument doc;
QDomElement root;
void closeEvent( QCloseEvent* );
//
private:
 Gui_Main( QWidget* = 0 );
 static QPointer<Gui_Main> _self;
 void Load_Connector();
 void ResetFormHost();
 void CanResolve( bool e );
signals:

public slots:
    void ReadBindDirs();
    void ErrorImportBind( const QString msg );
    void PlaceNewItem( DNS_Item * item );
    void LoadDomainHosts();
    void ActiveHost(const QModelIndex index );
    void AllSerialUpdate();
    void UpdateCurrentDomain();
    void RemoveCurrent();
    void ReloadCurrent();
    void AppendAliasCurrent();
    void ResolveAllName();
    void FillMasterBindDir();
    void FillMasterListFile();
    void FillSlaveListFile();
    void FillSlaveGo();
    void BrowserCurrent();
    void SqliteExport();
    void SqliteImport();
    void NewDomaine();
    void AboutApp();
   

};
//
#endif // GUI_MAIN_H

