#ifndef MAIN_H
#define MAIN_H

#include <stdlib.h>
#include <stdio.h>

#include <iostream>
#include <stdio.h>
#include <unistd.h>
#include <iostream>
#include <QtCore>
#include <QDomDocument>
#include <QApplication>
#include <QThread>
#include <QObject>
#include <QHostInfo>
#include <QNetworkInterface>
#include <stdlib.h>

#include <iostream>
#include <stdio.h>
#include <unistd.h>
#include <iostream>
#include <QtCore>
#include <QDomDocument>
#include <QApplication>
#include <QThread>
#include <QObject>
#include <QHostInfo>
#include <QtGui>
#include <QtCore> 
#include <QTextCodec>
#include <QCoreApplication>
#include <QApplication>
#include <QtGui>

#include <QNetworkInterface>

#include "db_dual.h"

typedef struct DNSjumper {
  uint Serialnr;           /* serial to change to uint time null */ 
  uint Default_ttl;               /* time to live  */
  uint Refreshtime;               /* time to live  */
  uint Expirytime;               /* time to live  */
  uint Transferretrytime;        /* time to live  */
  uint Records_ttl;              /* time to live  */
  QDateTime ReadDateTime;
  QString DomainExtension;  
  QString DomainName; 
  QString FullDomainName;    
  QString Mailtech;             /* mail admin   */
  QString Masterdns;        /* master on soa  */
  QString Origifilename;      /* grep from file   */
  QString OriginalSoaLine;        /* master on soa  */
  QString SoaCat;        /* only soa (nummers 33 33 33 33 33)  */
  QString Separator;             /* separator line coolumn   */
  QString HtmlReport;     /* html report status */
  QString QfileInfo;     /* filename - path */
  QStringList LineInfo;     /* InfoLine dns and Record */
};

#include "resolve.h"

//////////////#include "parse_bind_file.h"


#include <QSqlDatabase>
#include <QSqlError>
#include <QSqlQuery>

#if defined Q_WS_MAC
#define WEBAGENTNAME "Mac WebDavExplorer QT4.2 / PPK_W @ciz.ch"
#endif
#if defined Q_WS_WIN
#define WEBAGENTNAME "Windows WebDavExplorer QT4.2 / PPK_W @ciz.ch"
#endif
#if defined Q_WS_X11
#define WEBAGENTNAME "Unix WebDavExplorer QT4.2  / PPK_W @ciz.ch"
#endif


#define _PROGRAM_NAME_ "QDns Configurator by PPK-Webprogramm"
#define _PROGRAM_NAME_DOMAINE_ "qbind.ciz.ch"
#define _ORGANIZATION_NAME_ "PPK-Screendesign/Webprogramm"
#define _PROGRAM_VCMS_ "version 0.4.8"
#define _PROGRAM_TITLE_  _PROGRAM_NAME_" - "_PROGRAM_VCMS_
#define Q_WORKS_PEND "open"
#define _PROGRAM_SHORT_NAME "qdns_0"
    
    
#define WORK_CACHEDIR \
               QString( "%1/.%2/" ).arg(QDir::homePath(),_PROGRAM_SHORT_NAME) 
               
#define DBFILE_DEFAULT \
               QString( "%1qbind.db" ).arg(WORK_CACHEDIR)     
    
   





static inline QString UriConvert( QString touri )
{
    touri = touri.toLower();
    touri = touri.replace(" ","_");
    QStringList piece = touri.split("");
    QString alloweduri = "abcdefghijklmnopqrstuvwxyz1234567890_";
    QStringList alist = alloweduri.split("");
    
     for (int i = 0; i < piece.size(); ++i) {
           QString pin = piece.at(i);
           if (!alist.contains(pin)) {
               touri.replace(pin,"");
           }
       }
    
    return touri;
}

static inline QString HostNames( QString touri )
{
    touri = touri.toLower();
    touri = touri.replace(" ","_");
    QStringList piece = touri.split("");
    QString alloweduri = "abcdefghijklmnopqrstuvwxyz1234567890_.";
    QStringList alist = alloweduri.split("");
    
     for (int i = 0; i < piece.size(); ++i) {
           QString pin = piece.at(i);
           if (!alist.contains(pin)) {
               touri.replace(pin,"");
           }
       }
    
    return touri;
}
















#endif // MAIN_H

