#include "resolve.h"


Resolve::Resolve( const QString domain , DNS_Item * info )
{
    roundlist.clear();
    all = info;
    QHostInfo::lookupHost(domain, this, SLOT(lookedUp(QHostInfo)));
}

void Resolve::lookedUp(const QHostInfo &host)
{
        /////////////std::cout << "Responder from host init... " << qPrintable(host.hostName()) << std::endl;
        if (host.error() != QHostInfo::NoError) {
            /////////std::cout << "Lookup failed:" << qPrintable(host.errorString()) << std::endl;
            roundlist.append("0.0.0.0");
            emit SendIps(all);
            return;
        }
        int leng = 0;
        foreach (QHostAddress address, host.addresses()) {
        leng++;
         roundlist.append(address.toString());
         ////////std::cout << "Found address: Nr.->" << leng << " IP->" << qPrintable(address.toString()) << std::endl;
        }
        all->SetIps(roundlist);
        emit SendIps(all);
        deleteLater();
}